# Uses of Class
javax.swing.plaf.basic.BasicSplitPaneUI

Packages that use BasicSplitPaneUI
Package
Description
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.
javax.swing.plaf.metal
Provides user interface objects built according to the Java look and feel (once codenamed Metal), which is the default look and feel.
javax.swing.plaf.synth
Synth is a skinnable look and feel in which all painting is delegated.

## Uses of BasicSplitPaneUI in javax.swing.plaf.basic

Fields in javax.swing.plaf.basic declared as BasicSplitPaneUI
Modifier and Type
Field
Description
`protected BasicSplitPaneUI`
BasicSplitPaneDivider.`splitPaneUI`
UI this instance was created from.
Methods in javax.swing.plaf.basic that return BasicSplitPaneUI
Modifier and Type
Method
Description
`BasicSplitPaneUI`
BasicSplitPaneDivider.`getBasicSplitPaneUI()`
Returns the `SplitPaneUI` the receiver is currently in.
Methods in javax.swing.plaf.basic with parameters of type BasicSplitPaneUI
Modifier and Type
Method
Description
`void`
BasicSplitPaneDivider.`setBasicSplitPaneUI​(BasicSplitPaneUI newUI)`
Sets the `SplitPaneUI` that is using the receiver.
Constructors in javax.swing.plaf.basic with parameters of type BasicSplitPaneUI
Modifier
Constructor
Description
``
`BasicSplitPaneDivider​(BasicSplitPaneUI ui)`
Creates an instance of `BasicSplitPaneDivider`.

## Uses of BasicSplitPaneUI in javax.swing.plaf.metal

Subclasses of BasicSplitPaneUI in javax.swing.plaf.metal
Modifier and Type
Class
Description
`class`
`MetalSplitPaneUI`
Metal split pane.

## Uses of BasicSplitPaneUI in javax.swing.plaf.synth

Subclasses of BasicSplitPaneUI in javax.swing.plaf.synth
Modifier and Type
Class
Description
`class`
`SynthSplitPaneUI`
Provides the Synth L&F UI delegate for `JSplitPane`.